//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
// Copyright (c) Lawrence Livermore National Security, LLC and other Ascent
// Project developers. See top-level LICENSE AND COPYRIGHT files for dates and
// other details. No copyright assignment is required to contribute to Ascent.
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//


//-----------------------------------------------------------------------------
///
/// file: ascent_config.h
///
//-----------------------------------------------------------------------------

#ifndef ASCENT_CONFIG_H
#define ASCENT_CONFIG_H

#define ASCENT_INSTALL_PREFIX "/usr/local"

#define ASCENT_VERSION "0.8.0"

/* #undef ASCENT_GIT_SHA1 */
/* #undef ASCENT_GIT_SHA1_ABBREV */
/* #undef ASCENT_GIT_TAG */

#define ASCENT_SYSTEM_TYPE "DragonFly-6.2"

#define ASCENT_CPP_COMPILER "/usr/bin/c++"

#define ASCENT_FORTRAN_COMPILER "/usr/local/bin/gfortran11"

// this path points to the web client js code tree
#define ASCENT_SOURCE_WEB_CLIENT_ROOT   "/construction/science/ascent/ascent-0.8.0/src/ascent/web_clients"

// defs for general openmp support
/* #undef ASCENT_USE_OPENMP */

// defs for runtime support based on which 3rd-party libs we have

/* #undef ASCENT_VTKH_ENABLED */

/* #undef ASCENT_VTKM_ENABLED */
/* #undef ASCENT_VTKM_USE_CUDA */
/* #undef ASCENT_VTKM_USE_OPENMP */


/* #undef ASCENT_ADIOS_ENABLED */
/* #undef ASCENT_FIDES_ENABLED */
/* #undef ASCENT_MFEM_ENABLED */
/* #undef ASCENT_DRAY_ENABLED */
#define ASCENT_HDF5_ENABLED      "TRUE"
/* #undef ASCENT_PYTHON_ENABLED */
/* #undef ASCENT_JIT_ENABLED */
#define ASCENT_WEBSERVER_ENABLED "TRUE"
/* #undef ASCENT_GENTEN_ENABLED */

//-----------------------------------------------------------------------------
//
// #define platform check helpers
//
//-----------------------------------------------------------------------------

#if defined(WIN32) || defined(_WIN32) || defined(__WIN32) && !defined(__CYGWIN__)

#define ASCENT_PLATFORM_WINDOWS
#elif  defined(__APPLE__)
#define ASCENT_PLATFORM_APPLE
#else
#define ASCENT_PLATFORM_UNIX
#endif


#endif
